Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.sqltable
Class SqlTable

    java.lang.Object
      com.tonbeller.wcf.sqltable.SqlTable

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

public class SqlTable
extends java.lang.Object
implements javax.servlet.http.HttpSessionBindingListener

Since:
  Oct 6, 2004
Author:
  av

Constructor Summary
`SqlTable()`

Method Summary
`void` | `addRequestListener(java.lang.String name, java.lang.String value, RequestListener rl)`
`void` | `clear()`
`java.lang.String` | `getId()`
`int` | `getMaxRows()`
`java.lang.String` | `getNestedOrderBy()`
`java.lang.String` | `getOrderBy()`
`int` | `getStartRow()`
`boolean` | `isDescending()`
`java.lang.String` | `nextId()`
`void` | `setDescending(boolean descending)`
`void` | `setId(java.lang.String id)`
`void` | `setMaxRows(int maxRows)`
`void` | `setNestedOrderBy(java.lang.String nestedOrderBy)`
`void` | `setOrderBy(java.lang.String orderBy)`
`void` | `setStartRow(int startRow)`
`java.lang.String` | `toString()`
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent ev)`
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SqlTable

    public SqlTable()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### isDescending

    public boolean isDescending()

### setDescending

    public void setDescending(boolean descending)

### getOrderBy

    public java.lang.String getOrderBy()

### setOrderBy

    public void setOrderBy(java.lang.String orderBy)

### getMaxRows

    public int getMaxRows()

### setMaxRows

    public void setMaxRows(int maxRows)

### getStartRow

    public int getStartRow()

### setStartRow

    public void setStartRow(int startRow)

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent ev)

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent ev)

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`

### addRequestListener

    public void addRequestListener(java.lang.String name,
                                   java.lang.String value,
                                   RequestListener rl)

### clear

    public void clear()

### nextId

    public java.lang.String nextId()

### toString

    public java.lang.String toString()

### getNestedOrderBy

    public java.lang.String getNestedOrderBy()

### setNestedOrderBy

    public void setNestedOrderBy(java.lang.String nestedOrderBy)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD